Announcement

Collapse
No announcement yet.

Problem with class ID for subtab menus.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem with class ID for subtab menus.

    I am trying to develop a custom theme for my vb5.0 site. I would like to apply a custom button background to subtab menu items by class. I noticed that there seems to be some error or issue with the way the default code is written. So the class is not being generated. It merely produced this class="". Here is the code in question in the header template...

    <div id="channel-subtabbar" class="clearfix {vb:if empty($subnavItems), hide}">
    <ul class="left">
    <vb:each from="subnavItems" value="navbarItem">
    {vb:set navbarTitle, {vb:raw navbarItem.title}}
    {vb:set normalizedUrl, {vb:raw navbarItem.normalizedUrl}}
    <vb:if condition="$targetAttr = $navbarItem['newWindow'] == '1' ? ' target=\'_blank\'' : ''"></vb:if>
    <vb:if condition="$itemUrl = $navbarItem['isAbsoluteUrl'] ? $normalizedUrl : ($baseurl . '/' . $normalizedUrl)"></vb:if>
    <vb:if condition="$atCurrentItem = !empty($navbarItem['current'])"></vb:if>
    <vb:if condition="$currentClass = $atCurrentItem ? 'current' : ''"></vb:if>
    <li class="{vb:raw currentClass}"><a{vb:raw targetAttr} href="{vb:raw itemUrl}">{vbhrase {vb:raw navbarTitle}}</a></li>
    </vb:each>
    </ul>
    </div>

    So how do we edit this to make sure it is displaying the correct class name instead of a blank?

  • #2
    This is the source code output. Note the empty li class.

    <div id="channel-subtabbar" class="clearfix ">
    <ul class="left">



    <li class=""><a href="http://www.411women.com/blogadmin/create">Create a New Blog</a></li>

    </ul>
    </div>

    Comment


    • #3
      Are you getting this on 5.0.2?

      If you're still running the version I think you are, UPGRADE. You're running A HIGHLY INSECURE version of the software. As in someone could harvest, or destroy your entire site.

      Comment


      • #4
        5.0.0 beta 23

        Comment


        • #5
          Originally posted by AFemaleProdigy View Post
          5.0.0 beta 23
          Why not upgrade to the latest?

          It would appear that you are way behind.


          Comment


          • #6
            We can't support old beta versions. Please upgrade to the latest version.

            Comment

            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
            Working...
            X